<template>
  <div>
    <div>
      <nav class="navbar">
        <div class="links">
          <router-link to="/" class="brand">Uni2Job</router-link>
        </div>
        <div class="links">
          <router-link to="/jobs">Робота</router-link>
          <router-link to="/interships">Стажування</router-link>
          <div v-if="getUser" class="user" @mouseover="showDropdown" @mouseout="hideDropdown">
            <div class="avatar">
              <img :src="getUser.photoURL" alt="User Avatar" />
            </div>
            <div class="details">
              <span>{{ getUser.displayName }}</span>
              <div class="dropdown" :class="{ 'show': isDropdownVisible }">
                <router-link to="/profile">Мій профіль</router-link>
                <router-link to="/favorites">Вподобані вакансії</router-link>
                <router-link to="/login" @click="onLogout">Вихід</router-link>
              </div>
            </div>
          </div>
          <div v-else>
            <router-link to="/login">Login</router-link>
          </div>
        </div>
      </nav>
    </div>
    <router-view />
  </div>
</template>

<script>
import { mapGetters, mapActions } from 'vuex';

export default {
  computed: {
    ...mapGetters('auth', ['getUser']),
  },
  data() {
    return {
      isDropdownVisible: false,
    };
  },
  methods: {
    ...mapActions('auth', ['logout']),
    onLogout() {
      this.logout();
      this.$router.push({
        name: 'LoginPage',
      });
    },
    showDropdown() {
      this.isDropdownVisible = true;
    },
    hideDropdown() {
      this.isDropdownVisible = false;
    },
  },
};
</script>

<style scoped>
.navbar {
  font-family: 'Segoe UI', Tahoma, Geneva, Verdana, sans-serif;
  background-color: #ffffff;
  color: #333;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 15px 95px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.1);
  padding-bottom: 30px;
}

.links {
  display: flex;
  align-items: center;
}

.brand {
  margin-right: auto; /* Pushes Uni2Job to the left */
}

.user {
  display: flex;
  align-items: center;
}

.avatar {
  border-radius: 50%;
  overflow: hidden;
  margin-right: 10px;
  margin-left: 10px;
  width: 40px;
  height: 40px;
  box-shadow: 0px 2px 5px rgba(0, 0, 0, 0.8);
}

.avatar img {
  width: 40px;
  height: 40px;
}

.details {
  display: flex;
  flex-direction: column;
}

.navbar a {
  text-decoration: none;
  color: #333;
  margin: 0 45px;
  font-weight: bold;
  transition: color 0.3s;
}

.navbar a:hover {
  color: #2093e0;
}

.navbar a.router-link-exact-active {
  color: #db1600;
}

.user {
  position: relative;
}

.dropdown {
  display: none;
  position: absolute;
  margin-top: 31px;
  right: 0;
  background-color: #fff;
  min-width: 160px;
  z-index: 1;
}

.dropdown a {
  color: #333;
  padding: 12px 16px;
  text-decoration: none;
  display: block;
  transition: background-color 0.3s;
}

.dropdown a:hover {
  background-color: #f1f1f1;
}

.show {
  display: block;
}
</style>
